namespace OSMDatastructure
{
    public class Node : Coordinates
    {
        private readonly HashSet<Connection> _connections = new HashSet<Connection>();

        public Node(float lat, float lon) : base(lat, lon)
        {
        
        }

        public void AddConnection(Connection connection)
        {
            this._connections.Add(connection);
        }

        public Connection[] GetConnections()
        {
            return this._connections.ToArray();
        }
    }
}